config = {
    type: "head",
    padding: 5,
    margin: 0,
    rows: [
        {
            view: "toolbar",
            id: "BottomBar", type: "BottomBar",
            elements: [
                {view: "tabbar", id: 'tabbar', selected: 'sales', multiview: true, inputWidth: 300, inputHeight: 200, options: [
                        {label: 'Sales', src: 'Views/imgs/home.png', value: 'sales'},
                        {label: 'Clients', src: 'Views/imgs/clients.png', value: 'clients'},
                        {label: 'Settings', src: 'Views/imgs/settings.png', value: 'settings'}
                    ]}
            ]

        },
        {
            view: "multiview",
            cells: [{
                    id: "sales",
                    type: "wide",
                    cols: [
                        {
                            type: "clean",
                            rows: [
                                {
                                    id: "product_category",
                                    view: "dataview",
                                    type: {
                                        template: "<div class='menu_img' style='background:url(#Img#) no-repeat scroll 50% 50% transparent;'>&nbsp;</div><div class='menu_content'><h3 class='menu_content_header' style=''>#Maintainer#</h3><p class='menu_content_description'>#Package#</p></div>",
                                        height: 120,
                                        width: 255,
                                        margin: 5,
                                        padding: 0
                                    },
                                    edit: false,
                                    drag: false,
                                    url: "Controller/product_categories.xml",
                                    datatype: "xml",
                                    width: 265
                                },
                                {
                                    view: "template",
                                    id: "order",
                                    css: "order_row",
                                    template: function(obj) {
                                        var str = '<h3 class="order_container_header">Total: <span id="order" style="color:#F2B000;">' + obj.total + '$</span></h3>';
                                        str += '<a href="javascript:void(0)" class="order_container_button" onclick="saveOrder();">Order</a>';
                                        return str;
                                    },
                                    data: {
                                        total: 0.00
                                    },
                                    height: 120
                                }
                            ]
                        }, {
                            rows: [
                                {view: "toolbar", type: "SubBar", elements: [
                                        {
                                            id: "filter",
                                            view: "text",
                                            label: "<div class='dhx_el_icon'><div class='dhx_el_icon_search' style='margin: 5px 0'></div></div>",
                                            labelWidth: 30
                                        }
                                    ]},
                                {
                                    view: "accordion",
                                    type: "wide",
                                    rows: [
                                        {
                                            header: "Products",
                                            body: {
                                                id: "products",
                                                view: "list",
                                                scroll: true,
                                                activeContent: {
                                                    counterButton: {
                                                        id: "countButton",
                                                        view: "counter",
                                                        min: 0, max: 10,
                                                        width: 130,
                                                        click: counterClick
                                                    }
                                                },
                                                template: "<div class='landscape_img' style='background:url(#img#) no-repeat scroll 50% 20% transparent;'><h3 class='landscape_price'>$#cprice#</h3></div><div class='landscape_body'><h3 class='landscape_body_header'>#author#</h3><p class='landscape_body_description'>#title#</p></div><div class='landscape_buy'><div class='active'>{common.counterButton()}</div></div>",
                                                url: "Controller/products.xml",
                                                datatype: "xml",
                                                type: {
                                                    height: 100
                                                },
                                                select: 0
                                            }
                                        },
                                        {
                                            header: "Details",
                                            body: {
                                                id: "details",
                                                template: "<div class='title'>#title#</div><div class='author'>#author#</div><div class='details'>#desc#<div>"
                                            }
                                        }
                                    ]}
                            ]},
//                        {
//                            id: "sales_grid",
//                            view: "grid",
//                            fields: [
//                                {
//                                    id: "id",
//                                    width: 40,
//                                    label: "ID",
//                                    sort: {
//                                        as: "int"
//                                    },
//                                    template: "#sale_id#"
//                                },
//                                {
//                                    id: "date",
//                                    width: 200,
//                                    label: "Sale Date",
//                                    template: "#sale_date#",
//                                },
//                                {
//                                    id: "price",
//                                    width: 100,
//                                    label: "Price",
//                                    align: "right",
//                                    template: "#sale_total#",
//                                }
//                            ],
//                            datatype: "xml",
//                            url: "Controller/sales.xml"
//                        }
                    ]}, {
                    id: "clients",
                    type: "wide",
                    cols: [
                        {view: "form", id: "client_form", scroll: true, width: 320, elements: [
                                {view: "text", name: "firstname", id: 'firstname', label: 'First Name', value: "", position: "label-left", labelWidth: 100},
                                {view: "text", name: "lastname", id: 'lastname', label: 'Last Name', value: "", position: "label-left", labelWidth: 100},
                                {view: "text", name: "mobile", id: 'mobile', label: 'Mobile', value: "", position: "label-left", labelWidth: 100},
                                {view: "richselect", name: "type", id: 'type', label: 'Type', value: "1", yCount: "2", data: [
                                        {id: "1", value: "Individual"},
                                        {id: "2", value: "Company"}
                                    ]},
                                {view: "combo", name: "town", id: 'town', label: 'Town', value: "1", yCount: "3", data: [
                                        {id: "1", value: "Nairobi"},
                                        {id: "2", value: "Kisumu"},
                                        {id: "3", value: "Mombasa"}
                                    ], popup: "town_menu"
                                },
                                {view: "datepicker", name: "date", label: 'Date', id: 'calendar', date: new Date()},
                                {view: "toggle", name: "gender", id: 'gender', options: ["Male", "Female"], values: ["left", "right"], align: "left", position: "label-left"},
                                {view: "text", name: "email", id: 'email', label: 'Email', value: "", position: "label-left", labelWidth: 100},
                                {view: "text", name: "address", id: 'address', label: 'Address', value: "", position: "label-left", labelWidth: 100},
                                {view: "textarea", id: 'location', label: "location", labelWidth: 100},
                                {view: "textarea", id: 'info', label: "Info", labelWidth: 100},
                                {view: "button", type: "form", name: "save_client", id: 'save_client', label: 'Save', align: "center", click: "$$('client_form').validate()"}
                            ],
                            rules: {
                                firstname: dhx.rules.isNotEmpty,
                                lastname: dhx.rules.isNotEmpty,
                                mobile: dhx.rules.isNumber,
                                date: dhx.rules.isNotEmpty
                            }
                        },
                        {template: "Right column"}
                    ]},
                {id: "settings",
                    view: "list",
                    datatype: "xml",
                    template: "#name#",
                    select: 1
                }
            ]

        },
        {
            view: "toolbar",
            type: "MainBar",
            elements: [
                {view: "label", label: "Touch Sales <sup class='tb_sup'>mobile</sup>", align: 'left'}
            ]

        }
    ]
};

function counterClick(id, e) {
	var id = $$('products').locate(e);
    /*var qty = $$("products").item(id).counterButton;
    var price = $$("products").item(id).cprice;*/
    
//    $.post("Controller/ts_data_orders.php?action=2", "qty="+qty+"&price="+price+"&product_id="+id, function(data)
//    {
//        
//    });
    setTotal(id);
}

var orderedItems = new dhx.DataCollection();
function setTotal(id)
{
    // data of a clicked item
	var data = dhx.extend({},$$("products").item(id));
	
	// update orderedItems store
	if(orderedItems.item(id)){
		if(!data.counterButton)
			orderedItems.remove(id);
		else
			orderedItems.update(id,data);
	}
	else
		orderedItems.add(data);
	
	// calculate total order
	var sum = 0;
	orderedItems.data.each(function(item){
		sum += item.counterButton*item.cprice
	})
    $$("order").parse({total: sum.toFixed(2)});
}



dhx.ready(function() {
    dhx.ui({
        view: "popup",
        id: "town_menu",
        body: {
            view: "list",
            url: "Controller/towns.xml",
            datatype: "xml",
            select: true,
            yCount: 3,
            type: {
                width: 250
            }
        }
    }).hide();

    dhx.protoUI({
        name: "list"
    }, dhx.ui.list, dhx.ActiveContent);

    dhx.ui(config);

    $$("product_category").attachEvent("onXLE", function() {
        this.select(1);
    });

    $$('products').bind($$('product_category'), function(linked, master) {
        if (!master)
            return false;
        return master.product_category_id.indexOf(linked.product_category) == 0;
    });

    $$("details").bind($$("products"));

    $$("client_form").attachEvent("onValidationSuccess", function(id, data) {
        dhx.notice(id + ": success")

    });
    $$("client_form").attachEvent("onValidationError", function(id, data) {
        dhx.notice(id + ": failed")
    });

    dhx.extend($$('filter'), dhx.KeyEvents);
    $$('filter').attachEvent("onTimedKeyPress", function() {
        var text = $$("filter").getValue();
        $$("products").filter("#title#", text);
    });
});

